-- SUMMARY --
Entity Delete module is for deleting content of any entity types in bulk.

-- INSTALLATION --
STEP 1: Download and extract module to /module directory (/module/contrib if
  using separate for custom and contrib).
STEP 2: For enabling navigate to /admin/modules and select 'Entity Delete'
  and click on install.

--WORKING --
For deleting content in a bulk need to navigate to
    admin/config/entity-delete

Select the Entity type for which you need to delete all available content.

Eg: If you select Entity type as node(Content in drop down), will get another
drop down to select content type. If you wish to delete all existing node
you can select 'All' else the any specific type.
Once selection is done just hit submit it will ask for confirmation, once
confirm it will delete all the entity based on existing selection.